| ghc-6.12.3: The GHC API | Contents | Index

SPARC.Cond

Synopsis

data Cond

= ALWAYS
| EQQ
| GE
| GEU
| GTT
| GU
| LE
| LEU
| LTT
| LU
| NE
| NEG
| NEVER
| POS
| VC
| VS

condUnsigned :: Cond -> Bool
condToSigned :: Cond -> Cond
condToUnsigned :: Cond -> Cond

Documentation
data Cond

Branch condition codes.
Constructors

ALWAYS |
EQQ |
GE |
GEU |
GTT |
GU |
LE |
LEU |
LTT |
LU |
NE |
NEG |
NEVER |
POS |
VC |
VS |

Instances

Eq Cond

condUnsigned :: Cond -> Bool
condToSigned :: Cond -> Cond
condToUnsigned :: Cond -> Cond
Produced by Haddock version 2.6.1